Skip to main content
POST
Create a Termination Member Request
The Member Request workflow is now deprecated in favor of using Member Snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employee_id
string<uuid>
required

The unique identifier of the employee related to the member request

Example:

"6dc22bed-27fc-458c-b732-bdaf5b5a1031"

Body

application/json
last_work_date
string
required

ISO-8601 date string for last day of work of the terminated employee

Pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$
Example:

"2019-03-04"

reason
enum<string>
required

Reason for employee termination of coverage

Available options:
voluntary,
involuntary,
job-eliminated,
loss-of-eligibility,
member-deceased,
military-leave,
leave-of-absence
Example:

"voluntary"

signature_date
string

ISO-8601 date string for signature date

Pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$

Response

201 - application/json

Successful Response - Returns the new Member Request

body
object
required

Data required to execute a member request, varies depending on the request type

created
integer
required

The date the record was created

employee_id
string<uuid>
required
read-only

Unique identifier of the employee in Noyo

id
string<uuid>
required

Unique identifier of the record in Noyo

modified
integer
required

The date the record was last updated

request_type
enum<string>
required

Transaction type for the member request

Available options:
demographic,
new_hire,
termination,
open_enrollment,
qualifying_life_event,
enrollment_snapshot,
cobra_enrollment,
cobra_termination,
cobra_open_enrollment,
cobra_qualifying_life_event
result
object
required

Result from executing the member request, varies depending on the request type

status
enum<string>
required

Status of the member request

Available options:
processing,
completed,
failed,
canceled
version
string<uuid>
required

Current version of the record

completed
integer
read-only

Timestamp indicating when a member request was marked as completed

transactions
string<uuid>[]

List of unique identifiers of all associated member transactions in Noyo